Fehler in der aktuelle Release-Version

Antworten
little.yoda
Site Admin
Beiträge: 529
Registriert: 14.09.2018, 19:05
Hat sich bedankt: 13 Mal
Danksagung erhalten: 53 Mal

Fehler in der aktuelle Release-Version

Beitrag von little.yoda » 11.06.2020, 11:02

Hi

Nach sehr vielen Wochen, sehr vielen E-Mails und einigen Frustrationen haben Klaus und ich einen, wenn er auftritt, gravierenden Fehler im Modus der DCC-Generierung gefunden.

In welchen Situationen tritt der Fehler auf?
  • Der ESP muss sich mit einer echten z21 verbinden und von dort die Befehle empfangen
  • DCC-Generierung muss aktiviert sein
  • (Andere Modi (ESP simuliert eine z21, ...) sind nicht betroffen.)

Wie äußert sich der Fehler:
  • Der ESP empfängt von der z21 keine Befehle (Lok-Geschwindigkeit & F-Status) für die DCC-Generierung. Die über den DCC-Decoder angeschlossene Lok bewegt sich schlicht nicht.

Was war das Problem:
Der z21 wurde vom ESP nicht korrekt mitgeteilt, für welche Lok-ID der ESP Informationen empfangen möchte. Komischerweise funktioniert es teilweise trotzdem. Teilweise aber nicht. Dies machte die Fehlersuche so schwer.

Ich werde in nächster Zeit eine neue Release-Version veröffentlichen. Bis dahin, bitte in diesem Fall die aktuelle Alpha/Beta-Version nutzen.

@Klaus: Super, dass du durchgehalten hast und den Mist nicht hingeworfen hast.

Wer die Korrektur im Source-Code sehen will => Github. Wer die Korrektur nicht versteht, sollte daran denken, dass die Klasse von einer anderen Klasse erbt.




Gruß,
Sven

Antworten